<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.dispatch.internal.messaging.DispatchConfigurator" activate="activate" deactivate="deactivate">
  <reference name="_clusterMasterExecutor" interface="com.liferay.portal.kernel.cluster.ClusterMasterExecutor" field="_clusterMasterExecutor"/>
  <reference name="_destinationFactory" interface="com.liferay.portal.kernel.messaging.DestinationFactory" field="_destinationFactory"/>
  <reference name="_dispatchTriggerHelper" interface="com.liferay.dispatch.internal.helper.DispatchTriggerHelper" field="_dispatchTriggerHelper"/>
  <reference name="_dispatchTriggerLocalService" interface="com.liferay.dispatch.service.DispatchTriggerLocalService" field="_dispatchTriggerLocalService"/>
  <implementation class="com.liferay.dispatch.internal.messaging.DispatchConfigurator"/>
</scr:component>
